<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__dmac__descriptor__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_dmac_descriptor_t</compoundname>
    <includes local="no">cy_dmac.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__dmac__descriptor__t_1a67b8b10322dbfea7a0608cff0b32f919" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::ctl</definition>
        <argsstring />
        <name>ctl</name>
        <briefdescription>
<para>0x00000000 Descriptor control </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="353" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="353" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1a516cadd71bf97f1fa3b91f3036503883" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::src</definition>
        <argsstring />
        <name>src</name>
        <briefdescription>
<para>0x00000004 Descriptor source </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="354" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="354" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1ad086ce666ce79d784fd25846dbce48d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::dst</definition>
        <argsstring />
        <name>dst</name>
        <briefdescription>
<para>0x00000008 Descriptor destination </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="355" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="355" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1a4c7a6e7ea3d8bb46ac1c5a0aa5691212" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::xSize</definition>
        <argsstring />
        <name>xSize</name>
        <briefdescription>
<para>0x0000000C Descriptor X loop size </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="356" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="356" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1a39d7a8a6773abc50e598bab19f0615ea" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::xIncr</definition>
        <argsstring />
        <name>xIncr</name>
        <briefdescription>
<para>0x00000010 Descriptor X loop increment </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="357" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1a587e6892c6582571d820c58dc1732232" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::ySize</definition>
        <argsstring />
        <name>ySize</name>
        <briefdescription>
<para>0x00000014 Descriptor Y loop size </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="358" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1a7b33f024ecf960e6e041236b8087c1f9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::yIncr</definition>
        <argsstring />
        <name>yIncr</name>
        <briefdescription>
<para>0x00000010 Descriptor Y loop increment </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="359" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="359" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__t_1aab77a638b75ddc536d776e6d9b37cad0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_t::nextPtr</definition>
        <argsstring />
        <name>nextPtr</name>
        <briefdescription>
<para>0x00000014 Descriptor next pointer </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="360" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="360" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DMAC descriptor structure type. </para>    </briefdescription>
    <detaileddescription>
<para>It is a user-declared structure allocated in RAM. The DMAC HW requires a pointer to this structure to work with it.</para><para>For advanced users: the descriptor can be allocated even in flash, however the user have to predefine all the structure items with constants manually, because the descriptor "Set" API functions (including <ref kindref="member" refid="group__group__dmac__descriptor__functions_1gad4204ef079b02d9afdd9328f0cd461f9">Cy_DMAC_Descriptor_Init()</ref>) don't work with read-only descriptors. </para>    </detaileddescription>
    <location bodyend="361" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="351" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="352" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1a67b8b10322dbfea7a0608cff0b32f919" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>ctl</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1ad086ce666ce79d784fd25846dbce48d8" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>dst</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1aab77a638b75ddc536d776e6d9b37cad0" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>nextPtr</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1a516cadd71bf97f1fa3b91f3036503883" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>src</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1a39d7a8a6773abc50e598bab19f0615ea" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>xIncr</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1a4c7a6e7ea3d8bb46ac1c5a0aa5691212" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>xSize</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1a7b33f024ecf960e6e041236b8087c1f9" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>yIncr</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__t_1a587e6892c6582571d820c58dc1732232" virt="non-virtual"><scope>cy_stc_dmac_descriptor_t</scope><name>ySize</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>